@echo off

SET FOLDERNAMETemp=HFCli
SET argTraceFile=%FOLDERNAMETemp%\TraceA.txt
SET argRenameHF1LogExe=RenameHF1Log.exe
SET argHFCliFolder=9.0.651

del /F /Q hfcli.log

mkdir %FOLDERNAMETemp%
del /F /Q .\%FOLDERNAMETemp%\*.*

echo.
echo ***************************************************************** >> %argTraceFile% 2>&1
echo *             HFCLI DPDTrace Version: 1.0.0.3                   * >> %argTraceFile% 2>&1
echo ***************************************************************** >> %argTraceFile% 2>&1

SET bError=0
SET argMachineName=%1
SET argUserName=%2
SET argPassword=%3
SET argPTValue=%4
SET argVersion=%5

if "%argMachineName%"=="" (
	echo.
	echo *****************************************************************
	echo *  Machine name is required. Please supply a machine name       *
	echo *****************************************************************
	
	echo. >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	echo *  Machine name is required. Please supply a machine name       * >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	SET bError=1
)

if "%argUserName%"=="" (
	echo.
	echo *****************************************************************
	echo *  User name is requried. Please supply an user name            *
	echo *****************************************************************
	
	echo. >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	echo *  User name is requried. Please supply an user name            * >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	SET bError=1
)

if "%argPassword%"=="" (
	echo.
	echo *****************************************************************
	echo *  Password is requried. Please supply a password               *
	echo *****************************************************************
	
	echo. >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	echo *  Password is requried. Please supply a password               * >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	SET bError=1
)

if "%argPTValue%"=="" (
	echo.
	echo *****************************************************************
	echo *  Patch Type is requried. Please supply one of these values    *
	echo *          1  Security patches                                  *
	echo *          4  Security tools                                    *
	echo *          8  Non-Security patches                              *
	echo *          9  Security and non-security patches                 *
	echo *          13 Security, non-security and tools                  *
	echo *****************************************************************
	
	echo. >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	echo *  Patch Type is requried. Please supply one of these values    * >> %argTraceFile% 2>&1
	echo *          1  Security patches                                  * >> %argTraceFile% 2>&1
	echo *          4  Security tools                                    * >> %argTraceFile% 2>&1
	echo *          8  Non-Security patches                              * >> %argTraceFile% 2>&1
	echo *          9  Security and non-security patches                 * >> %argTraceFile% 2>&1
	echo *          13 Security, non-security and tools                  * >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	SET bError=1
)

if %bError%==1 (
	pause
	echo Data was missing >> %argTraceFile% 2>&1
	goto :Done
)

IF EXIST %argRenameHF1LogExe% (
	echo Starting %argRenameHF1LogExe%
	echo Starting %argRenameHF1LogExe% >> %argTraceFile% 2>&1
	START %argRenameHF1LogExe%
	REM Wait 5 seconds for the Rename app to start
	SET SLEEPSECONDS=5
	FOR /l %%a IN (%SLEEPSECONDS%,-1,1) do (ECHO 1 >NULL %%as&ping -n 2 -w 1 127.0.0.1>NUL)
	del NULL >> %argTraceFile% 2>&1


) ELSE (
	echo. >> %argTraceFile% 2>&1
	echo *****************************************************************
	echo * Unable to start %argRenameHF1LogExe%, becaues it is not in the sample folder as DPDTrace.bat >> %argTraceFile% 2>&1
	echo *****************************************************************

	echo. >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1
	echo * Unable to start %argRenameHF1LogExe%, becaues it is not in the sample folder as DPDTrace.bat >> %argTraceFile% 2>&1
	echo ***************************************************************** >> %argTraceFile% 2>&1

)

SET argLocalHFFile=
IF EXIST HF7B\HF7b.xml (
	SET argLocalHFFile=-x HF7B\HF7b.xml
)

if "%argVersion%" NEQ "" (
	SET argHFCliFolder=%argVersion%
)


echo %argHFCliFolder%\HFCli.exe -h %argMachineName% %argLocalHFFile% -u ******** -p ********* -op .\%FOLDERNAMETemp% -o xml4 -history 5 -f .\%FOLDERNAMETemp%\ResultA.txt -pt %argPTValue% -trace -dpdtrace
echo %argHFCliFolder%\HFCli.exe -h %argMachineName% %argLocalHFFile% -u ******** -p ********* -op .\%FOLDERNAMETemp% -o xml4 -history 5 -f .\%FOLDERNAMETemp%\ResultA.txt -pt %argPTValue% -trace -dpdtrace >> %argTraceFile% 2>&1
%argHFCliFolder%\HFCli.exe -h %argMachineName% %argLocalHFFile% -u %argUserName% -p %argPassword% -op .\%FOLDERNAMETemp% -o xml4 -history 5 -f .\%FOLDERNAMETemp%\ResultA.txt -pt %argPTValue% -trace -dpdtrace 1>>%argTraceFile% 2> .\%FOLDERNAMETemp%\ErrorA.txt

REM Move everything to ensure that we get all the hfcli log files
move /Y hfcli.* .\%FOLDERNAMETemp%\ >> %argTraceFile% 2>&1
REM It move everything with HFCLI. So move the exe and symbol file s back.
REM No Longer need because each HFCli has its own folder
REM move /Y .\%FOLDERNAMETemp%\hfcli.exe .\ >> %argTraceFile% 2>&1
REM move /Y .\%FOLDERNAMETemp%\hfcli.pdb .\ >> %argTraceFile% 2>&1

REM Stop RenameHF1Log.exe
IF EXIST %argRenameHF1LogExe% (
	echo Closing %argRenameHF1LogExe%
	echo Closing %argRenameHF1LogExe% >> %argTraceFile% 2>&1
	TASKKILL /F /IM "%argRenameHF1LogExe%"
)

echo.
echo Zip up %FOLDERNAMETemp% and send it back to us

:Done
	echo. >> %argTraceFile% 2>&1
	echo *************************************************************************** >> %argTraceFile% 2>&1
	echo *                      Test complete                                      * >> %argTraceFile% 2>&1
	echo *                                                                         * >> %argTraceFile% 2>&1
	echo * Please zip up %FOLDERNAMETemp% folder and send it back to us                       * >> %argTraceFile% 2>&1
	echo *************************************************************************** >> %argTraceFile% 2>&1

	echo.
	echo ***************************************************************************
	echo *                      Test complete                                      *
	echo *                                                                         *
	echo * Please zip up %FOLDERNAMETemp% folder and send it back to us                       *
	echo ***************************************************************************
	pause